package com.qmth.teachcloud.exchange.common.bean.params;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 跳转参数
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/6/12
 */
public class RedirectParams implements Serializable {

    @ApiModelProperty("工号")
    private String employeeNo;

    @ApiModelProperty("学校编码")
    private String schoolCode;

    @ApiModelProperty("返回url")
    private String returnUrl;

    @ApiModelProperty("开放参数")
    private OpenParams openParams;

    public RedirectParams() {

    }

    public RedirectParams(String employeeNo, String schoolCode, String returnUrl, OpenParams openParams) {
        this.employeeNo = employeeNo;
        this.schoolCode = schoolCode;
        this.returnUrl = returnUrl;
        this.openParams = openParams;
    }

    public String getEmployeeNo() {
        return employeeNo;
    }

    public void setEmployeeNo(String employeeNo) {
        this.employeeNo = employeeNo;
    }

    public String getSchoolCode() {
        return schoolCode;
    }

    public void setSchoolCode(String schoolCode) {
        this.schoolCode = schoolCode;
    }

    public String getReturnUrl() {
        return returnUrl;
    }

    public void setReturnUrl(String returnUrl) {
        this.returnUrl = returnUrl;
    }

    public OpenParams getOpenParams() {
        return openParams;
    }

    public void setOpenParams(OpenParams openParams) {
        this.openParams = openParams;
    }
}
